#include <iostream>

using namespace std;

int main(){
    long long x, y, resenje=0;
    cin>>x>>y;
    long long max;
    long long min; 
    if(x>y){
    min=y;
    max=x;
    }if(y>x){
    max=y;
    min=x;
    }
    long long n=1;
    while(max!=0){
        int broj1=max%10;
        max/=10;
        if(min!=0){
            int broj2=min%10;
            min/=10;
            if(broj1>broj2){
                resenje=resenje+broj1*n;
            }else if(broj1<broj2){
                resenje=resenje+broj2*n;
            }else{
                resenje=resenje+(broj1*n + broj2*n*10);
                n=n*10;
            }
        }else{
            resenje+=broj1*n;
        }
    n*=10;
    }
    cout << resenje << endl;
}